| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | List of all members
IG.Num.IAnalysis Interface Reference

Interface for direct analysis classes used in optimization problems. More...

Inheritance diagram for IG.Num.IAnalysis:
[legend]

## Public Member Functions
void | Analyse (IAnalysisResults analysisData)
| Performs analysis - calculates requested results and writes them to the provided data structure. More...

## Properties
int | NumParameters`[get, set]`
| Number of parameters. More...
int | NumObjectives`[get, set]`
| Number of objective functions (normally 1 for this type, but can be 0). More...
int | NumConstraints`[get, set]`
| Number of constraints. More...
int | NumEqualityConstraints`[get, set]`
| Number of equality constraints. More...

## Detailed Description

Interface for direct analysis classes used in optimization problems.

$A Igor May08 Jun10;

## Member Function Documentation

void IG.Num.IAnalysis.Analyse | ( | IAnalysisResults | analysisData | ) |

Performs analysis - calculates requested results and writes them to the provided data structure.

Parameters

  analysisData | Data structure where analysis request parameters are obtained and where analysis results are written.

Implemented in IG.Lib.LoadableScriptOptBase.AnalysisScript, IG.Neural.AnalysisFileServerNeural, and IG.Num.AnalysisBase.

## Property Documentation

int IG.Num.IAnalysis.NumParameters
| get set

Number of parameters.

int IG.Num.IAnalysis.NumObjectives
| get set

Number of objective functions (normally 1 for this type, but can be 0).

int IG.Num.IAnalysis.NumConstraints
| get set

Number of constraints.

int IG.Num.IAnalysis.NumEqualityConstraints
| get set

Number of equality constraints.

The documentation for this interface was generated from the following file:

- igbase/optimization/Analysis.cs